[Bug] USB controller failed to respond on Denverton after loading intel_th_pci module

Bug #1715833 reported by Alice Liu on 2017-09-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
intel
Undecided
Unassigned
linux (Ubuntu)
Critical
Seth Forshee

Bug Description

Description:

Ubuntu 17.10 beta 1 login UI hangs up on Denverton. Kernel (v4.12) boots up with lots of mmc/sdhci error log, we cannot input user name on Ubuntu login UI via USB keyboard. And we did some bisect work to address this regression. Finally, we found the following commit "intel_th: pci: Add Denverton SOC support" which causes this regression. After reverting this patch based on the upstream kernel 4.13, it can boot up without any mmc/sdhci error log and we can input the user name via USB keyboard to login successfully.

From 5118ccd34780f4637a9360be580f41f4c1feab48 Mon Sep 17 00:00:00 2001
From: Alexander Shishkin <email address hidden>
Date: Tue, 8 Sep 2015 14:03:55 +0300
Subject: [PATCH] intel_th: pci: Add Denverton SOC support

This adds Intel(R) Trace Hub PCI ID for Denverton SOC.

Signed-off-by: Alexander Shishkin <email address hidden>
---
 drivers/hwtracing/intel_th/pci.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/drivers/hwtracing/intel_th/pci.c b/drivers/hwtracing/intel_th/pci.c
index 0bba384..04bd57b 100644
--- a/drivers/hwtracing/intel_th/pci.c
+++ b/drivers/hwtracing/intel_th/pci.c
@@ -85,6 +85,11 @@ static const struct pci_device_id intel_th_pci_id_table[] = {
                PCI_DEVICE(PCI_VENDOR_ID_INTEL, 0xa2a6),
                .driver_data = (kernel_ulong_t)0,
        },
+ {
+ /* Denverton */
+ PCI_DEVICE(PCI_VENDOR_ID_INTEL, 0x19e1),
+ .driver_data = (kernel_ulong_t)0,
+ },
        { 0 },
 };

BIOS version: HVLRCRB.86B.B.64.2017.29.3.01.0406.ACV15D47
And after reverting this patch and entering the os, running "lspci -vv" can list out this pci device ID. Although, I cannot find the ITH enable options in BIOS like GLK.

00:1f.7 Non-Essential Instrumentation [1300]: Intel Corporation Device 19e1 (rev 11)
        Subsystem: Intel Corporation Device 7270
        Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 255
        Region 0: Memory at 480100000 (64-bit, non-prefetchable) [disabled] [size=1M]
        Region 2: Memory at 480800000 (64-bit, non-prefetchable) [disabled] [size=8M]
        Region 4: Memory at 480050800 (64-bit, non-prefetchable) [disabled] [size=2K]
        Capabilities: <access denied>

Target Kernel: 4.14
Target Platform: 17.10

CVE References

Alice Liu (dxliu) on 2017-09-08
information type: Proprietary → Private
Alice Liu (dxliu) wrote :

There is an undocumented HW bug in Intel TH on DNV. Upstream developer has found a fix. I have verified the fix, system can boot up and login successfully without any errors. The developer will find the responsible HW people to see if there is a better wording for the patch before he sends it to upstream.

summary: - [Bug] Ubuntu 17.10 beta 1 login UI hangs up on Denverton
+ [Bug] USB controller failed to respond on Denverton after loading
+ intel_th_pci module
Changed in intel:
status: New → In Progress
quanxian (quanxian-wang) wrote :

This is the bug fix patch. please take it. Upstream is push this patch into mainline.

quanxian (quanxian-wang) wrote :

this patch has been verified in ubuntu 17.10, it works.

Seth Forshee (sforshee) on 2017-10-11
information type: Private → Public
Changed in linux (Ubuntu):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Critical
status: New → In Progress
Seth Forshee (sforshee) on 2017-10-11
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
tags: added: patch
quanxian (quanxian-wang) wrote :

Thanks Seth.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.13.0-16.19

---------------
linux (4.13.0-16.19) artful; urgency=low

  * 20170817 - ISO hangs on boot on qemu with splash screen enabled and qxl
    graphics driver (LP: #1711358)
    - qxl: fix framebuffer unpinning

  * [Bug] USB controller failed to respond on Denverton after loading
    intel_th_pci module (LP: #1715833)
    - SAUCE: PCI: Disable broken RTIT_BAR of Intel TH

  * CVE-2017-5123
    - waitid(): Add missing access_ok() checks

 -- Seth Forshee <email address hidden> Wed, 11 Oct 2017 12:33:10 -0500

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in intel:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers